## ikiwiki 2.53

=== debian/changelog ===
ikiwiki (2.53) unstable; urgency=low

  * search: generate configuration files once only when rebuilding
    (Gabriel McManus)
  * attachment: Fix an uninitialised value warning when editing a page
    that currently has no attachments.
  * Fix a bug with links to pages whose names contained colons.
  * attachment: Support old versions of CGI.pm that lack an upload method.
  * Include ikiwiki.setup in examples in the debian package.
  * attachment: Support perl 5.8's buggy version of CGI.pm.
  * otl: Support utf-8 files. (Recai Oktaş)

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2008 16:45:33 -0400

ikiwiki (2.52) unstable; urgency=low

  * attachment: New plugin for uploading and managing attachments.
    This includes a fairly powerful PageSpec based admin pref for deciding
    whether to accept a given upload, and an attachment management interface
    on the edit page.
    (Sponsored by The TOVA Company.)
  * If attachments are not enabled, configure CGI.pm to disable file
    uploads by default. (An anti-DOS measure.)
  * toggle: Add support for toggles that are open by default.
  * toggle: Fix to work in preview mode.
  * toggle: Add javascript to top of page, not to end. This avoids flicker
    since closed toggles will not be displayed as the page is loading.
  * The editpage form now uses the raw page name, not the page title, in its
    'page' cgi parameter. Using the title was ambiguous and made it
    impossible to tell between some pages, like "foo/bar" and "foo__47__bar",
    sometimes causing the wrong page to be edited.
  * This change means that some edit links need to be updated.
    Force a rebuild on upgrade to this version.
  * Above change also allowed really fixing escaped slashes from the blogpost
    form.

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2008 19:15:37 -0400

ikiwiki (2.51) unstable; urgency=low

  * Improve toplevel parentlink to link directly to index.html when usedirs is
    disabled.
  * map: Add a "show" parameter. "show=title" can be used to display page
    titles, rather than the default page name. Based on a patch from 
    Jaldhar H. Vyas, Closes: #484510
  * hnb: New plugin, contributed by Axel Beckert.
  * meta: Store "description" in pagestate for use by other plugins.
  * map: Support show=description.
  * textile: The Text::Textile perl module has some regexps that fail if
    input is flagged as utf-8, but contains invalid characters such as 0x92.
    To prevent it from crashing, re-encode the content before calling it,
    which will ensure that it's really utf-8.
  * Version the suggests of xapian-omega to a version known to be new enough
    to work with ikiwiki. Reportedly, version 0.9.9 is too old to work.
    Closes: #486592
  * creole: New plugin from Bernd Zeimetz. Closes: #486930
  * aggregate: Add template parameter.
  * Add support for the universal edit button <http://universaleditbutton.org/>
    (To get this on all pages of an exiting wiki, rebuild the wiki.)
  * txt: New plugin, contributed by Gabriel McManus.
  * smiley: Generate links relative to the destpage. (Fixes a reversion from
    2.41.)
  * toc: Revert change in 2.45 that made it run at sanitize time. That broke
    use of toc in a sidebar.
  * Call format hooks when generating page previews, thus fixing toc display
    there, as well as fixing inlins to again display in page previews, since
    it's started using format hooks. This also allows several other things,
    like embed, that use format hooks, to work during page preview time.
  * Format hooks should not rely on getting an entire html document, as they
    will only get the body during page preview.
  * toggle: Deal with preview mode when adding javascript.

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Jun 2008 14:09:37 -0400

ikiwiki (2.50) unstable; urgency=low

  * img: Support captions.
  * img: Don't generate empty title attributes, etc.
  * img: Allow setting defaults for class and id too.
  * ikiwiki-mass-rebuild: Make group list comparison more robust.
  * search: Work around xapian bug #486138 by only stemming locales
    in a whitelist.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2008 15:17:30 -0400

ikiwiki (2.49) unstable; urgency=low

  * haiku: Generate valid xhtml.
  * ikiwiki-mass-rebuild: Don't trust $! when setting $)
  * inline: The optimisation in 2.41 broke nested inlines. Detect those
    and avoid overoptimising.
  * search: Converted to use xapian-omega.
  * Filter hooks are no longer called during the scan phase. This will
    prevent wikilinks added by filters from being scanned properly. But
    no known filter hook does that, so let's not waste time on it.
  * Pass a destpage parameter to the sanitize hook.
  * The search interface now allows searching for a page by title
    ("title:foo"), as well as for pages that contain a given link
    ("link:bar").

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Jun 2008 15:22:41 -0400

ikiwiki (2.48) unstable; urgency=high

  * Fix security hole that occurred if openid and passwordauth were both
    enabled. passwordauth would allow logging in as a known openid, with an
    empty password. Closes: #483770 (CVE-2008-0169)
  * Add rel=nofollow to edit links. This may prevent some spiders from
    pounding on the cgi following edit links.
  * passwordauth: If Authen::Passphrase is installed, use it to store
    password hashes, crypted with Eksblowfish.
  * `ikiwiki-transiition hashpassword /path/to/srcdir` can be used to
    hash existing plaintext passwords.
  * Passwords will no longer be mailed, but instead a password reset link.
  * The password_cost config setting is provided as a "more security" knob.
  * teximg: Fix logurl.
  * teximg: If the log isn't written, avoid ugly error messages.
  * Updated French translation. Closes: #478530

 -- Joey Hess <joeyh@debian.org>  Fri, 30 May 2008 17:36:07 -0400

ikiwiki (2.47) unstable; urgency=low

  * mdwn: Add a multimarkdown setup file option.


=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 5)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, markdown | libtext-markdown-perl, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libhtml-parser-perl, liburi-perl
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.8.0
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${perl:Depends}, markdown | libtext-markdown-perl, libhtml-scrubber-perl, libhtml-template-perl, libhtml-parser-perl, liburi-perl
Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38), libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, libauthen-passphrase-perl
Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl, xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

## ikiwiki 2.53.3~bpo40+1

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../IkiWiki -type f -name \*.pm)) \
	../ikiwiki.in ../IkiWiki.pm

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: ikiwiki.pot mo

mo: $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/ikiwiki.mo; \
	done

ikiwiki.pot: $(POTFILES)
	@if perl -e '($$ver)=`xgettext -V | head -n 1`=~/.*\s+([0-9]+\.[0-9]+)/; die "gettext $$ver too old, not updating the pot file\n" if $$ver < 0.16'; then \
		echo "Rebuilding the pot file"; \
		xgettext $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
	fi

clean:
	rm -f $(MOFILES) messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po:
	@echo -n "Merging ikiwiki.pot and $@"
	@msgmerge $@ ikiwiki.pot -o $@.new 2>&1
# Typically all that changes was a date or line number. I'd prefer not to
# commit such changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@ 2>&1

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
ikiwiki (2.53.3~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Alexander Wirt <formorer@debian.org>  Thu, 13 Nov 2008 14:35:03 +0000

ikiwiki (2.53.3) testing-proposed-updates; urgency=low

  * Avoid crash on malformed utf-8 discovered by intrigeri.
  * orphans: Fix unquoted page name in regexp.

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Oct 2008 19:12:18 -0400

ikiwiki (2.53.2) testing-proposed-updates; urgency=low

  * Fix bad patch backport that broke generation of rss/atom feeds. Closes: #498224

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Sep 2008 11:40:27 -0400

ikiwiki (2.53.1) testing-proposed-updates; urgency=low

  * Backported all relevant bug fixes from mainline to debian testing.
  * ikiwiki-transition: Fix command-line processing so the prefix_directives
    transition works again.
  * Fixes creation of pages when clicking on WikiLinks starting with "/".
  * Change deb dependencies to list Text::Markdown before markdown, since
    the former, while slower, has a much better html parser that avoids
    numerous bugs.
  * smileys: Some fixes for escaped smileys.
  * smileys: Note that smileys need to be double-escaped for the escaping to
    work. Markdown removes one level of escaping.
  * Add a postscan hook.
  * search: Use postscan hook, avoid updating index when previewing.
  * search: Fixes for title stemming, and use better term for tags.
    (Gabriel McManus)
    (Rebuilding the wiki on upgrade to this version is recommended if you
    use the search plugin.)
  * meta: fix title() PageSpec (DOS). Closes: #497444
  * Really fix bug with links to pages with names containing colons. 
    Previous fix mised a few cases.
  * toggle: Fix incompatability between javascript and webkit.
  * toggle: Fix for when html got tidied. Closes: #492529 (Enrico Zini)
  * inline: Ignore parent dirs when sorting pages by title.
  * external: Fix support for hooks called in an array context.
  * edittemplate: Don't wipe out edits on preview.
  * map: The fix for #449285 was buggy and broke display of parents in certian
    circumstances.
  * Work around perl $_ scoping nonsense that caused breakage when loading
    external plugins.

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Sep 2008 20:55:53 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Build-Depends: perl, debhelper (>= 5)
-Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, markdown | libtext-markdown-perl, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libhtml-parser-perl, liburi-perl
+Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, libtext-markdown-perl | markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libhtml-parser-perl, liburi-perl
 Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.8.0

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
	$(MAKE) -C po
	$(MAKE)
	$(MAKE) test
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	perl Makefile.PL
	if [ -e Makefile ]; then $(MAKE) realclean; fi
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) pure_install DESTDIR=$(shell pwd)/debian/ikiwiki
	dh_install wikilist etc/ikiwiki
	dh_installdocs html
	dh_installexamples doc/examples/*
	dh_link usr/share/common-licenses/GPL-2 usr/share/doc/ikiwiki/html/GPL
	dh_installchangelogs
	dh_compress -X html
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/ikiwiki/doc/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ikiwiki 2.56ubuntu1

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: web
 Priority: optional
 Build-Depends: perl, debhelper (>= 5)
-Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, libtext-markdown-perl | markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libhtml-parser-perl, liburi-perl
-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, libtext-markdown-perl | markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libhtml-parser-perl, liburi-perl, liblocale-gettext-perl, perlmagick
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.8.0
 Homepage: http://ikiwiki.info/
@@ -14,7 +15,7 @@
 Architecture: all
 Depends: ${perl:Depends}, markdown | libtext-markdown-perl, libhtml-scrubber-perl, libhtml-template-perl, libhtml-parser-perl, liburi-perl
 Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38), libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, libauthen-passphrase-perl
-Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl, xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl
+Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl, xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl, sparkline-php
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table

## ikiwiki 3.09ubuntu1

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # List here all source files with translatable strings.
 POTFILES=$(sort $(shell find ../IkiWiki -type f -name \*.pm)) \
-	../ikiwiki.in ../IkiWiki.pm
+	../ikiwiki.in ../IkiWiki.pm ../auto.setup
 
 POFILES=$(wildcard *.po)
 MOFILES=$(POFILES:.po=.mo)
@@ -19,7 +19,7 @@
 ikiwiki.pot: $(POTFILES)
 	@if perl -e '($$ver)=`xgettext -V | head -n 1`=~/.*\s+([0-9]+\.[0-9]+)/; die "gettext $$ver too old, not updating the pot file\n" if $$ver < 0.16'; then \
 		echo "Rebuilding the pot file"; \
-		xgettext $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
+		xgettext --from-code=UTF-8 $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
 	fi
 
 clean:
@@ -28,7 +28,7 @@
 %.mo: %.po
 	msgfmt -o $@ $<
 
-%.po:
+%.po: ikiwiki.pot
 	@echo -n "Merging ikiwiki.pot and $@"
 	@msgmerge $@ ikiwiki.pot -o $@.new 2>&1
 # Typically all that changes was a date or line number. I'd prefer not to

=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 7)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, libtext-markdown-perl | markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libhtml-parser-perl, liburi-perl, perlmagick
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.8.0
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libtext-markdown-perl | markdown, libhtml-scrubber-perl, libhtml-template-perl, libhtml-parser-perl, liburi-perl
Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38), libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl, xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libhtml-tree-perl, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl, sparkline-php, texlive, dvipng, libtext-wikicreole-perl, libsort-naturally-perl, libtext-textile-perl
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

## ikiwiki 3.09ubuntu1.1

=== debian/changelog ===
ikiwiki (3.09ubuntu1.1) jaunty-proposed; urgency=low

  * Revert to older debian/rules to accomodate older debhelper (LP: #368566).
  * Remove dependency on ${misc:Depends} to accomodate older debhelper.

 -- David Edmondson <dme@dme.org>  Thu, 30 Apr 2009 09:41:29 +0100

ikiwiki (3.09ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.
    - Set Build-Depends on debhelper to the latest one available for
      Ubuntu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 06 Apr 2009 00:03:02 +0200

ikiwiki (3.09) unstable; urgency=low

  * inline: Add title_natural sort order, using Sort::Naturally
    (chrysn)
  * inline: Fix urls to feed when feedfile is used on an index page.
  * git, mercurial: Fix --getctime to return file creation time,
    not last commit time.
  * Updated French translation (Jean-Luc Coulon). Closes: #521072
  * css: Add clear: both to inlinefooter.
  * comments: Fix too loose test for comments pages that matched
    normal pages with "comment_" in their name. Closes: #521322
  * comments: Fix anchor ids to be legal xhtml. Closes: #521339
  * Fix documentation of anonok_pagespec. Closes: #521793
  * Add missing suggests on libtext-textile-perl. Closes: #522039
  * recentchanges: change to using do=goto links for user links.
  * Fix git test suite to use a bare repo.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 Apr 2009 14:33:49 -0400

ikiwiki (3.08ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove wdg-html-validator from Build-Depends. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.
    - Downgrade build-dependency on debhelper to the latest one available for
      Ubuntu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 18 Mar 2009 00:21:27 +0100

ikiwiki (3.08) unstable; urgency=low

  * git: Fix utf-8 encoding of author names.
  * git: Manually decode git output from utf-8, avoids
    warning messages on invalidly encoded output.
  * Fix bug that caused weird things to appear as page types.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Mar 2009 17:54:47 -0400

ikiwiki (3.07ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop Build-Depends on wdg-html-validator. The xmlns set in the generated
      <html> elements causes /usr/bin/validate to attempt to download a file
      from w3.org. This doesn't work without Internet access.
    - Downgrade build-dependency on debhelper to the latest one available for
      Ubuntu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 11 Mar 2009 19:00:16 +0100

ikiwiki (3.07) unstable; urgency=low
 
  * Updated German translation (Kai Wasserbäch). Closes: #518377
  * Updated French translation (Jean-Luc Coulon). Closes: #518510
  * wmd: New plugin contributed by William Uther to support the WMD
    Wysiwym markdown editor.
  * smiley: Avoid infinite loop in smiley expansion triggered
    by the template scan mode change in version 3.05. Closes: #518805
  * template: When loading a template in scan mode, let preprocess
    know it only needs to scan.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Mar 2009 19:00:46 -0400

ikiwiki (3.06ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop Build-Depends on wdg-html-validator. The xmlns set in the generated
      <html> elements causes /usr/bin/validate to attempt to download a file
      from w3.org. This doesn't work without Internet access.
  * Downgrade build-dependency on debhelper to Ubuntu latest one, it works
    fine anyway.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 03 Mar 2009 19:01:30 +0100

ikiwiki (3.06) unstable; urgency=low

  * Setup automator: Fix bug in password comparison. Closes: #517654

 -- Joey Hess <joeyh@debian.org>  Sun, 01 Mar 2009 15:02:30 -0500

ikiwiki (3.05) unstable; urgency=low

  * debhelper v7(.0.50); rules file minimisation.
  * template: Load templates in scan mode.
    This is potentially expensive, but is necessary so that meta and tag
    directives, and other links on templates affect the page using the
    template reliably.
  * goto: Fix redirect to comments.
  * Add noextension parameter to htmlize hooks to support, eg, Makefile.
  * Add tagged() PageSpec.
  * Updated German translation (Kai Wasserbäch). Closes: #516770
  * Setup automator: Prompt for password twice. Closes: #516973
  * bzr: Add missing rcs_diff. (liw)
  * comments: Avoid showing comment moderation button in prefs to non-admins.
  * goto: Fix typo that broke recentchanges_link compatibility.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Feb 2009 15:48:39 -0500

ikiwiki (3.04ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop Build-Depends on wdg-html-validator. The xmlns set in the generated
      <html> elements causes /usr/bin/validate to attempt to download a file
      from w3.org. This doesn't work without Internet access.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 16 Feb 2009 08:25:01 +0100

ikiwiki (3.04) unstable; urgency=low

  * 404: New plugin which lets you use the IkiWiki CGI script as
    an Apache 404 handler, to give the behaviour of various other wiki
    engines where visiting a nonexistent page provides you with a link
    to create it. (smcv)
  * Factor out redundant code into goto plugin. (smcv)
  * Work around XML::Atom strangeness that results in double-encoded posts.
    (smcv) 
  * Fix unusual --setup --post-commit command line option combo.
  * Create any missing directory necessary to put the wrapper
    file into. Closes: #514384
  * shortcut: If default_pageext is set, first look for


=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: ikiwiki
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libtext-markdown-perl | markdown, libhtml-scrubber-perl, libhtml-template-perl, libhtml-parser-perl, liburi-perl
+Depends: ${perl:Depends}, libtext-markdown-perl | markdown, libhtml-scrubber-perl, libhtml-template-perl, libhtml-parser-perl, liburi-perl
 Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38), libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
 Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl, xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libhtml-tree-perl, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl, sparkline-php, texlive, dvipng, libtext-wikicreole-perl, libsort-naturally-perl, libtext-textile-perl
 Conflicts: ikiwiki-plugin-table

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 binary-indep: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	$(MAKE) pure_install DESTDIR=$(shell pwd)/debian/ikiwiki
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
@@ -37,7 +37,7 @@
 	dh_md5sums
 	dh_builddeb
 
-# Not intended for use by anyone except the author.
+# Not intended for use by anyone except the author.                                                                                     
 announcedir:
 	@echo ${HOME}/src/ikiwiki/doc/news

## ikiwiki 3.14ubuntu1

=== debian/changelog ===
ikiwiki (3.14ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining Ubuntu changes:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Fri, 05 Jun 2009 14:48:37 +0200

ikiwiki (3.14) unstable; urgency=low

  * highlight: New plugin supporting syntax highlighting of pretty much
    anything.
  * debian/control: Add suggests for libhighlight-perl, although
    that package is not yet created by Debian's highlight source package.
    (See #529869)
  * format: Provide a htmlizefallback hook that other plugins
    can use to handle formats that are not suitable for general-purpose
    htmlize hooks. Used by highlight.
  * Fix test suite to not rely on an installed copy of ikiwiki after
    underlaydir change. Closes: #530502
  * Danish translation update. Closes: #530877

 -- Joey Hess <joeyh@debian.org>  Mon, 01 Jun 2009 13:05:34 -0400

ikiwiki (3.13) unstable; urgency=low

  * ikiwiki-transition: If passed a nonexistant srcdir, or one not
    containing .ikiwiki, abort with an error rather than creating it.
  * Allow underlaydir to be overridden without messing up inclusion
    of other underlays via add_underlay.
  * More friendly display of markdown, textile in edit form selector
    (jmtd)
  * Allow curly braces to be used in pagespecs, and avoid a whole class
    of potential security problems, by avoiding performing any string
    interpolation on user-supplied data when translating pagespecs.
  * ikiwiki-transition: Allow setup files to be passed to all subcommands
    that need a srcdir.
  * ikiwiki-transition: deduplinks was broken and threw away all
    metadata stored by plugins in the index. Fix this bug.
  * listdirectives: Avoid listing _comment directives and generally
    assume any directive starting with _ is likewise internal.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 May 2009 14:10:56 -0400

ikiwiki (3.12ubuntu1) karmic; urgency=low

  * Merge from debian unstable:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 09 May 2009 22:12:09 +0200

ikiwiki (3.12) unstable; urgency=low

  * Re-enable python-support and add python:Depends to control file.
  * ikiwiki-makerepo: Avoid using abs_path, as it apparently
    fails on nonexistant directories with some broken perl
    versions.
  * inline: Minor optimisation.
  * add_link: New function, which plugins should use rather than
    modifying %links directly, to avoid it accumulating duplicates.
  * ikiwiki-transition: Add a deduplinks action, that can be used
    to remove duplicate links and optimise a wiki w/o rebuilding it.
  * external: Fix pagespec_match and pagespec_match_list.
    Closes: #527281

 -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 00:31:16 -0400

ikiwiki (3.11) unstable; urgency=low

  * Avoid using python-support. Closes: #525086
  * websetup: Display stderr in browser if ikiwiki setup fails.
  * blogspam: Load RPC::XML library in checkconfig, so that an
    error can be printed at that point if it's not available,
    allowing the admin to see it during wiki setup.
    Closes: #520015
  * websetup: If setup fails, restore old setup file.
  * relativedate: Deal with clock skew.
  * Add IkiWiki::ErrorReason objects, and modify pagespecs to return
    them in cases where they fail to match due to a configuration or syntax
    error.
  * pagespec_match_list: New API function, matches pages in a list
    and throws an error if the pagespec is bad.
  * inline, brokenlinks, calendar, linkmap, map, orphans, pagecount,
    pagestate, postsparkline: Display a handy error message if the pagespec
    is erronious.
  * comments: Add link to comment post form to allow user to sign in
    if they wish to, if the configuration makes signin optional
    for commenting.
  * Updated Danish translation from Jonas Smedegaard. Closes: #525751
  * translation.mdwn: Typo fixes. Closes: #525753

 -- Joey Hess <joeyh@debian.org>  Mon, 04 May 2009 15:45:10 -0400

ikiwiki (3.10ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes (fixes LP: #368566):
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 28 Apr 2009 15:11:32 +0200

ikiwiki (3.10) unstable; urgency=low

  * darcs: Finally added support for this VCS, thanks to many
    contributors:
    - Thomas Schwinge wrote the original file, implementing only rcs_commit.
    - Benjamin A'Lee contributed an alternative implementation.
    - Tuomo Valkonen contributed rcs_getctime and stub rcs_recentchanges.
    - Simon Michael contributed multiple changes.
    - Petr Ročkai fixed rcs_recentchanges.
    - Sven M. Hallberg merged the above and added missing features.
  * Add missing newline to Confirm Password prompt.
  * Add missing permalink support to archivepage and titlepage templates.
  * debian/control: Wrap fields.
  * inline: Add author info to archive display.
  * Add a microblog template that is useful for inlining microblogging posts.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Apr 2009 19:40:25 -0400

=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 7.0.50)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
  libtext-markdown-perl | markdown, 
  libtimedate-perl, libhtml-template-perl,
  libhtml-scrubber-perl,
  libhtml-parser-perl, liburi-perl, perlmagick
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.8.1
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
  libtext-markdown-perl | markdown,
  libhtml-scrubber-perl, libhtml-template-perl,
  libhtml-parser-perl, liburi-perl
Recommends: gcc | c-compiler, 
  libc6-dev | libc-dev,
  subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38),
  libxml-simple-perl, libnet-openid-consumer-perl,
  liblwpx-paranoidagent-perl, libtimedate-perl,
  libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
  libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl,
  xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
  python, python-docutils, polygen, tidy, libhtml-tree-perl,
  libxml-feed-perl, libmailtools-perl, perlmagick,
  libfile-mimeinfo-perl, libcrypt-ssleay-perl,
  liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
  libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
  sparkline-php, texlive, dvipng, libtext-wikicreole-perl,
  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

## ikiwiki 3.14159265

=== debian/changelog ===
ikiwiki (3.14159265) unstable; urgency=low

  * Add complete French basewiki and underlays translation from the Debian
    French l10n team, including Philippe Batailler, Alexandre Dupas, and
    Steve Petruzzello.
  * Expand banned_users; it can now include PageSpecs, which
    allows banning by IP address.
  * underlay: Also allow configuring additional directories to search 
    for template files in.
  * Fix parsing web commits from ipv6 addresses.
  * Add genwrapper hook, that can be used to add code into the C wrapper.
  * cvs: Yeah, ikiwiki even supports CVS now. Plugin contributed by
    Amitai Schlair.
  * Updated Czech translation from Miroslav Kure. Closes: #546223
  * rsync: New plugin that allows pushing the destdir to a remote host
    via rsync or similar. Thanks, Amitai Schlair.
  * auto.setup, auto-blog.setup: Fix sanitization of entered wikiname.
    Closes: #547378

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Sep 2009 18:50:43 -0400

ikiwiki (3.1415926) unstable; urgency=high

  [ Joey Hess ]
  * po: Detect if nowrapi18n can't be passed to po4a, and warn about
    the old version, but continue. Closes: #541205 
  * inline: Avoid use of my $_ as it fails with older perls.
    Closes: #541215
  * Add discussionpage configuration setting.
  * Several optimisations, including speedups to orphans and brokenlinks
    calculation.
  * meta, img: Fix bugs in dependency code. (smcv)
  * Allow building ikiwiki on systems w/o po4a --
    building of the translated underlays will be skipped in this case.
  * Add basic styling of po plugin's languages list.
  * inline: Display an error if feedpages is specified and fails to match
    due to a problem such as created_before being told to check against
    a page that does not exist.
  * Remove deprecated ikiwiki/blog and ikiwiki/preprocessordirective
    pages from the basewiki.
  * Updated French program translation from Philippe Batailler.
    Closes: #542036
  * po: Fixed to run rcs_add ralative to srcdir.
  * Italian program translation from Luca Bruno.
  * Fix example blog's tags/life to not have a broken PageSpec.
    Closes: #543510
  * Optimize the dependencies list. This also fixes a bug
    that could cause repeated refreshes of the wiki to grow
    increasingly larger dependency lists, and get increasingly
    slower. (smcv)
  * Rebuild wikis on upgrade to this version to fix bloat caused
    by the dependency bug.
  * Further optimisation of dependency handling by adding a special
    case for simple page dependencies. (smcv)
  * htmltidy: Return an error message if tidy fails. Closes: #543722
  * po: Fix name of translated toplevel index page. (intrigeri)
  * po: Fix display of links from a translated page to itself (ntrigeri)
  * Add Czech basewiki translation from Miroslav Kure.
  * po: fix interdiction to create pages of type po (intrigeri)
  * po: po: favor the type of linking page's masterpage on page creation
    (intrigeri)
  * img: Don't generate new verison of image if it is scaled to be
    larger in either dimension.

  [ Josh Triplett ]
  * teximg: Replace the insufficient blacklist with the built-in security
    mechanisms of TeX. (CVE-2009-2944)

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Aug 2009 15:20:46 -0400

ikiwiki (3.141592) unstable; urgency=low

  * Add new hooks: canremove, canrename, rename. (intrigeri)
  * rename: Refactor subpage rename handling code into rename hook. (intrigeri)
  * po: New plugin<F11>, suporting translation of wiki pages using po files.
    (intrigeri)
  * Add build machinery to build po files to translate the underlay wikis,
  * Add further build machinery to generate translated underlays from
    the po file, for use by wikis whose primary language is not English.
  * Add Danish basewiki translation by Jonas Smedegaard.
  * img: Fix adding of dependency from page to the image.
  * pagestats: add `among` parameter, which only counts links from specified
    pages (smcv)
  * pagestats: when making a tag cloud, don't emit links where the tag is
    unused (smcv)
  * map: Avoid emitting an unclosed ul element if the map is empty. (harishcm)
  * inline: Add pagenames parameter that can be used to list a set of
    pages to inline, in a specific order, without using a PageSpec. (smcv)
  * Add getsource plugin (Will, smcv)

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Aug 2009 14:59:31 -0400

ikiwiki (3.14159) unstable; urgency=low

  * svn: Fix rcs_rename to properly scope call to dirname.
  * img: Pass the align parameter through to the generated img tag.
  * Move OpenID pretty-printing from openid plugin to core (smcv)

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Jul 2009 14:37:22 -0400

ikiwiki (3.1415) unstable; urgency=low

  * img: Fix extra double quote with alt text. (smcv)
  * Updated French debconf templates translation. Closes: #535103
  * openid: Support Net::OpenID 2.x when pretty-printing
    openids. (smcv)
  * highlight: Fix utf-8 encoding bug. Closes: #535028

 -- Joey Hess <joeyh@debian.org>  Tue, 07 Jul 2009 16:25:05 -0400

ikiwiki (3.141) unstable; urgency=low

  * comment: Make comment directives no longer use the internal "_comment"
    form, and document the comment directive syntax.
  * Avoid relying on translators preserving the case when translating
    "discussion", which caused Discussion pages to get unwanted Discussion
    links.
  * Tighten up matching of bare words inside directives; do not
    allow an unterminated """ string to be treated as a series
    of bare words. Fixes runaway regexp recursion/backtracking
    in strange situations.
  * Setup automator: Check that each plugin added to the generated
    setup file can be loaded and that its config is ok. If a plugin
    fails for any reason, disable it in the generated file.
    Closes: 532001
  * pagecount: Fix broken optimisation for * pagespec.
  * goto: Support being passed a page title that is not a valid page
    name, to support several cases including mercurial's long user


=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
-  libhtml-parser-perl, liburi-perl, perlmagick
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-parser-perl, liburi-perl, perlmagick, po4a (>= 0.34),
+  libfile-chdir-perl
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki
@@ -36,7 +36,8 @@
   liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
   libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
   sparkline-php, texlive, dvipng, libtext-wikicreole-perl,
-  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl
+  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
+  po4a (>= 0.35-1), gettext
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table
